Name:           tong
Version:        1.3
Release:        4%{?dist}
Summary:        A mixture of two classic games

Group:          Amusements/Games
License:        GPLv2+
URL:            http://www.nongnu.org/tong
Source0:        http://www.nongnu.org/tong/tong-%{version}.tar.gz
Source1:        tong-icon.png
Source2:        tong.desktop

BuildRequires:  desktop-file-utils
BuildRequires:  SDL_image-devel SDL_mixer-devel
Requires:       tong-data = %{version}-%{release}

%description
TONG is the result of intermixing two classic games, capitalizing on the
essential qualities of each and adding new twists of its own to make an
explosive chemical reaction out of it all.

%package data
Summary:        Data files for the Tong game
Group:          Amusements/Games
BuildArch:      noarch
%description data
Data files for the Tong game.


%prep
%setup -q -n %{name}


%build
make CC="%{__cxx} $RPM_OPT_FLAGS" GAME_DATA_DIR="%{_datadir}/tong" %{?_smp_mflags}

%install
# Unfortunately, the Makefile does not contain an install: target
# -> we have to install the files by ourselves.

# binary
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -pD tong $RPM_BUILD_ROOT%{_bindir}/tong

# data
install -d $RPM_BUILD_ROOT%{_datadir}/tong
cp -pr media $RPM_BUILD_ROOT%{_datadir}/tong/
install -p -m 644 CREDITS $RPM_BUILD_ROOT%{_datadir}/tong/


# desktop stuff & icons
desktop-file-install                             \
        --dir ${RPM_BUILD_ROOT}%{_datadir}/applications         \
        %{SOURCE2}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/
install -p -m 644 %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files
%{_bindir}/tong
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/32x32/apps/tong-icon.png
%doc COPYING CREDITS README making-of.txt

%files data
%{_datadir}/tong

%changelog
* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3-2
- Rebuilt for GCC 5 C++11 ABI change

* Thu Jan 29 2015 Jaromir Capik <jcapik@redhat.com> - 1.3-1
- Update to 1.3 (#1087388)

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Feb 14 2013 Parag Nemade <paragn AT fedoraproject DOT org> - 1.2-4
- Remove vendor tag from desktop file

* Thu Nov 01 2012 Jaromir Capik <jcapik@redhat.com> - 1.2-3
- New source archive fixing a mess in the CREDITS (missing line terminator)

* Wed Oct 31 2012 Jaromir Capik <jcapik@redhat.com> - 1.2-2
- The 'CREDITS' file is needed during run-time (needs to be in the data dir)
- Fixing the version number in CREDITS (1.1 -> 1.2)

* Mon Oct 29 2012 Jaromir Capik <jcapik@redhat.com> - 1.2-1
- Update to 1.2

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon May 4 2009 Fedora Release Engineering <wart at kobold.org> - 1.0-12
- Mark -data subpackage as noarch

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 8 2008 Wart <wart at kobold.org> - 1.0-10
- Rebuild for gcc 4.3

* Tue Aug 21 2007 Wart <wart at kobold.org> - 1.0-9
- License tag clarification

* Sun Mar 4 2007 Wart <wart at kobold.org> - 1.0-8
- Updated desktop file categories

* Thu Aug 31 2006 Wart <wart at kobold.org> - 1.0-7
- Rebuild for Fedora Extras

* Thu Feb 23 2006 Wart <wart at kobold.org> - 1.0-6
- Remove unused tong.sh source
- Consistent use of RPM_OPT_FLAGS

* Wed Feb 22 2006 Wart <wart at kobold.org> - 1.0-5
- Add RPM_OPT_FLAGS to compile line.

* Wed Feb 22 2006 Wart <wart at kobold.org> - 1.0-4
- Refined the installation hacks to use %%_datadir

* Sat Feb 18 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.0-3
- Some hacks for a saner installation.

* Tue Feb 7 2006 <wart at kobold.org> - 1.0-2
- Remove potentially trademarked words from the summary and description.
- Added desktop icon

* Fri Jul 22 2005 <wart at kobold.org> - 1.0-1
- Initial package for Fedora.
